org.eclipse.rdf4j.rio

## Class UnsupportedRDFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.rio.UnsupportedRDFormatException

- All Implemented Interfaces:
    Serializable

      public class UnsupportedRDFormatException
      extends RuntimeException

  A RuntimeException indicating that a specific RDF format is not supported. A typical cause of this exception is that the class library for the specified RDF format is not present in the classpath.
  Author:
    jeen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedRDFormatException(String msg)` Creates a new UnsupportedRDFormatException.
    `UnsupportedRDFormatException(String msg, Throwable cause)` Creates a new UnsupportedRDFormatException wrapping another exception.
    `UnsupportedRDFormatException(Throwable cause)` Creates a new UnsupportedRDFormatException.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedRDFormatException

          public UnsupportedRDFormatException(String msg)

      Creates a new UnsupportedRDFormatException.
      Parameters:
        `msg` - An error message.

    - #### UnsupportedRDFormatException

          public UnsupportedRDFormatException(Throwable cause)

      Creates a new UnsupportedRDFormatException.
      Parameters:
        `cause` - The cause of the exception.

    - #### UnsupportedRDFormatException

          public UnsupportedRDFormatException(String msg,
                                              Throwable cause)

      Creates a new UnsupportedRDFormatException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `cause` - The cause of the exception.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.